org.wildfly.swarm.management

## Class EnhancedSecurityRealm

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.SecurityRealm<EnhancedSecurityRealm>
      - - org.wildfly.swarm.management.EnhancedSecurityRealm

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class EnhancedSecurityRealm
      extends SecurityRealm<EnhancedSecurityRealm>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.management.SecurityRealm

      `SecurityRealm.SecurityRealmResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IN_MEMORY_PLUGIN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnhancedSecurityRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnhancedSecurityRealm` | `inMemoryAuthentication(InMemoryAuthenticationConsumer consumer)`
    `EnhancedSecurityRealm` | `inMemoryAuthorization()`
    `EnhancedSecurityRealm` | `inMemoryAuthorization(InMemoryAuthorizationConsumer consumer)`

    - ### Methods inherited from class org.wildfly.swarm.config.management.SecurityRealm

      `addPropertyChangeListener, getKey, jaasAuthentication, jaasAuthentication, jaasAuthentication, jaasAuthentication, kerberosAuthentication, kerberosAuthentication, kerberosAuthentication, kerberosAuthentication, kerberosServerIdentity, kerberosServerIdentity, kerberosServerIdentity, kerberosServerIdentity, ldapAuthentication, ldapAuthentication, ldapAuthentication, ldapAuthentication, ldapAuthorization, ldapAuthorization, ldapAuthorization, ldapAuthorization, localAuthentication, localAuthentication, localAuthentication, localAuthentication, mapGroupsToRoles, mapGroupsToRoles, plugIn, plugIn, plugIn, plugIn, plugInAuthentication, plugInAuthentication, plugInAuthentication, plugInAuthentication, plugInAuthorization, plugInAuthorization, plugInAuthorization, plugInAuthorization, plugIns, propertiesAuthentication, propertiesAuthentication, propertiesAuthentication, propertiesAuthentication, propertiesAuthorization, propertiesAuthorization, propertiesAuthorization, propertiesAuthorization, removePropertyChangeListener, secretServerIdentity, secretServerIdentity, secretServerIdentity, secretServerIdentity, sslServerIdentity, sslServerIdentity, sslServerIdentity, sslServerIdentity, subresources, truststoreAuthentication, truststoreAuthentication, truststoreAuthentication, truststoreAuthentication, usersAuthentication, usersAuthentication, usersAuthentication, usersAuthentication`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Field Detail

    - #### IN_MEMORY_PLUGIN_NAME

          public static final String IN_MEMORY_PLUGIN_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EnhancedSecurityRealm

          public EnhancedSecurityRealm(String key)

  - ### Method Detail

    - #### inMemoryAuthentication

          public EnhancedSecurityRealm inMemoryAuthentication(InMemoryAuthenticationConsumer consumer)

    - #### inMemoryAuthorization

          public EnhancedSecurityRealm inMemoryAuthorization()

    - #### inMemoryAuthorization

          public EnhancedSecurityRealm inMemoryAuthorization(InMemoryAuthorizationConsumer consumer)

Copyright © 2018 JBoss by Red Hat. All rights reserved.